Skip to main content
POST
/
v1
/
organization_types
Create Organization Types
curl --request POST \
  --url https://api.us.lexful.app/v1/organization_types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "is_system": true,
  "deleted_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "updated_by": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Body

application/json
name
string
required

Type name

Required string length: 1 - 100
description
string
required

Type description

Maximum string length: 500

Response

Default Response

id
string<uuid>
required

Organization type unique identifier

name
string
required

Type name

description
string
required

Type description

is_system
boolean
required

Whether this is a system-defined type

deleted_at
string<date-time>

Deletion timestamp

created_at
string<date-time>
updated_at
string<date-time>
created_by
string
updated_by
string